Subject: [TEST] txtimestamp.sh pains after netdev foundation migration

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Jan 2026 11:05:21 -0800

Hi Willem!

We discussed instability of txtimestamp.sh in the past but it has
gotten even worse after we migrated from AWS to netdev foundation
machines. Possibly because it's different HW. Possibly because we
now run much newer kernels (AWS Linux vs Fedora).

The test flakes a lot (we're talking about non-debug builds):
https://netdev.bots.linux.dev/contest.html?test=txtimestamp-sh

I tried a few things. The VM threads (vCPU, not IO) are now all pinned
to dedicated CPUs. I added this patch to avoid long idle periods:
https://github.com/linux-netdev/testing/commit/d468f582c617adece2a576788746a09d91e91574

These both help a little bit, but w still get 10+ flakes a week.
I believe you have access to netdev foundation machines so feel
free to poke if you have cycles..